Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005PotentialFieldBasicBehaviorSupport Class Reference

`#include <GT2005PotentialFieldBasicBehaviors.h>`

Inheritance diagram for GT2005PotentialFieldBasicBehaviorSupport:

[legend]
Collaboration diagram for GT2005PotentialFieldBasicBehaviorSupport:

[legend]
List of all members.

## Public Member Functions
| GT2005PotentialFieldBasicBehaviorSupport (const BehaviorControlInterfaces &interfaces, Xabsl2ErrorHandler &errorHandler)
virtual void | execute ()
| Executes the basic behavior.
## Private Attributes
double | x
| Parameter potential-field-support.x.
double | y
| Parameter potential-field-support.y.
double | maxSpeed
| Parameter potential-field-support.max-speed.

## Constructor & Destructor Documentation

GT2005PotentialFieldBasicBehaviorSupport::GT2005PotentialFieldBasicBehaviorSupport | ( | const BehaviorControlInterfaces & | interfaces,
|  | Xabsl2ErrorHandler & | errorHandler
| ) |

| Definition at line 14 of file GT2005PotentialFieldBasicBehaviors.cpp. References maxSpeed, and Xabsl2BasicBehavior::registerParameter().

Here is the call graph for this function:

## Member Function Documentation

void GT2005PotentialFieldBasicBehaviorSupport::execute | ( |  | ) | `[virtual]`

| Executes the basic behavior. Implements GT2005PotentialFieldBasicBehavior. Definition at line 25 of file GT2005PotentialFieldBasicBehaviors.cpp. References Vector2< V >::abs(), GTStandardConverter::execute(), maxSpeed, PotentialfieldResult::motion, MotionRequest::motionType, PfPose::pos, PfPose::rotation, Pose2D::rotation, PfPose::speed, toDegrees(), Pose2D::translation, WalkRequest::walkParams, MotionRequest::walkRequest, WalkRequest::walkType, PfVec::x, Vector2< double >::x, PfVec::y, and Vector2< double >::y.

Here is the call graph for this function:

## Member Data Documentation

double GT2005PotentialFieldBasicBehaviorSupport::x`[private]`

| Parameter potential-field-support.x. Definition at line 67 of file GT2005PotentialFieldBasicBehaviors.h.

double GT2005PotentialFieldBasicBehaviorSupport::y`[private]`

| Parameter potential-field-support.y. Definition at line 69 of file GT2005PotentialFieldBasicBehaviors.h.

double GT2005PotentialFieldBasicBehaviorSupport::maxSpeed`[private]`

| Parameter potential-field-support.max-speed. Definition at line 71 of file GT2005PotentialFieldBasicBehaviors.h. Referenced by execute(), and GT2005PotentialFieldBasicBehaviorSupport().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005PotentialFieldBasicBehaviors.h
- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005PotentialFieldBasicBehaviors.cpp